Bug 740780 - ipmitool -o list return always 1
Summary: ipmitool -o list return always 1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI
Version: 5.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 715615
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 10:22 UTC by Petr Sklenar ⛄
Modified: 2013-01-08 04:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, exit code of 'ipmitool -o list' was not set correctly and the command returned 1. In this update, 'ipmitool -o list' is fixed and returns zero exit code.
Clone Of: 715615
Environment:
Last Closed: 2013-01-08 04:52:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0123 normal SHIPPED_LIVE Low: OpenIPMI security, bug fix, and enhancement update 2013-01-08 09:10:13 UTC

Description Petr Sklenar ⛄ 2011-09-23 10:22:48 UTC
+++ This bug was initially created as a clone of Bug #715615 +++

Description of problem:
ipmitool -o list return always 1

Version-Release number of selected component (if applicable):
ipmitool-1.8.11-7.el6.i686

How reproducible:
deterministic

Steps to Reproduce:
[root@test02-64 ipmitool]# ipmitool -o list

OEM Support:
        supermicro   Supermicro IPMIv1.5 BMC with OEM LAN authentication support
        intelwv2     Intel SE7501WV2 IPMIv1.5 BMC with extra LAN communication support
        intelplus    Intel IPMI 2.0 BMC with RMCP+ communication support
        icts         IPMI 2.0 ICTS compliance support
        ibm          IBM OEM support

[root@test02-64 ipmitool]# echo $?
1
[root@test02-64 ipmitool]# rpm -qf `which ipmitool`
ipmitool-1.8.11-7.el6.i686

 
Actual results:
echo $? = 1

Expected results:
echo $? = 0

Additional info:

--- Additional comment from jsafrane@redhat.com on 2011-06-28 03:55:02 EDT ---

Patch sent upstream: http://news.gmane.org/find-root.php?message_id=%3c20110628074810.18239.91811.stgit%40bublifuk.brq.redhat.com%3e

--- Additional comment from pm-rhel@redhat.com on 2011-07-05 19:59:01 EDT ---

This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 2 RHEL Product and Program Management 2012-04-19 11:48:38 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 3 Jan Safranek 2012-05-31 10:47:34 UTC
patch re-sent upstream: https://sourceforge.net/mailarchive/message.php?msg_id=29341119

Comment 4 Jan Safranek 2012-05-31 10:47:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, exit code of 'ipmitool -o list' was not set correctly and the command returned 1. In this update, 'ipmitool -o list' is fixed and returns zero exit code.

Comment 5 Jan Safranek 2012-06-11 08:03:21 UTC
Patches were accepted

Comment 10 errata-xmlrpc 2013-01-08 04:52:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0123.html


Note You need to log in before you can comment on or make changes to this bug.